> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/data-and-features/markets-and-outcomes/market-types/outcome-variant-description.md).

# Outcome variant description

Some markets and outcomes have variable descriptions. This is for example the case for many outright markets and outcomes, as well as some dynamic markets – most importantly the correct score market, but also some cricket markets. These markets have a special specifier *variant* and this specifier is set in the odds\_change message to a urn that looks like this: pre:markettext:1234

To find the actual market name you need to do an additional API-call to `descriptions/en/markets/<market>/variant/<urn>`.&#x20;

The returned document will return the market name and where applicable, outcome names. Note that the same market can have different market descriptions at different times if the variant-specifier changes.&#x20;

**XML Example**

```xml
<market_descriptions response_code="OK">
    <market id="241" name="Exact games" variant="sr:exact_games:bestof:5">
        <outcomes>
            <outcome id="sr:exact_games:bestof:5:39" name="3"/>
            <outcome id="sr:exact_games:bestof:5:40" name="4"/>
            <outcome id="sr:exact_games:bestof:5:41" name="5"/>
        </outcomes>
    </market>
</market_descriptions>
```

Two markets with the same market ID, but with different *variant descriptions* should be treated as different market lines. This is the same way it works otherwise (i.e. market-id + specifiers uniquely identify a market line). Consequently, the Betradar system will handle and settle these market lines independently of each other.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/uof/data-and-features/markets-and-outcomes/market-types/outcome-variant-description.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
